Bug 19460 - Swapoff failed with insufficient memory
Swapoff failed with insufficient memory
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-20 09:48 EDT by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-27 14:38:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-20 09:48:05 EDT
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 412, in 
nextClicked
    next = self.currentScreen.getNext ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/installpath_gui.py", 
line 104, in getNext
    self.todo.fstab.turnOffSwap()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 358, in 
turnOffSwap
    isys.swapoff(file)
  File "/usr/lib/anaconda/isys.py", line 139, in swapoff
    return _isys.swapoff (path)
SystemError: (12, 'Cannot allocate memory')

Local variables in innermost frame:
path: /tmp/swap/hda8

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdc'
sS'progressWindow'
p9

<failed>
Comment 1 Alan Cox 2000-10-27 12:43:04 EDT
Can you tell me where this occured and also how much ram is in your PC
Comment 2 Michael Fulbright 2000-11-27 14:38:47 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.